Subject: Re: [PATCH 4/6] remote.c: introduce a way to have different remotes for fetch/push

From: Jonathan Nieder <[email-masked]>
Date: Wed, 20 Mar 2013 11:30:15 -0700

Ramkumar Ramachandra wrote:

> Currently, do_push() in push.c calls remote_get(), which gets the
> configured remote for fetching and pushing.  Replace this call with a
> call to pushremote_get() instead, a new function that will return the
> remote configured specifically for pushing.  This function tries to
> work with the string pushremote_name, before falling back to the
> codepath of remote_get().  This patch has no visible impact, but
> serves to enable future patches to introduce configuration variables
> to set this variable.

The above description does not make the impact of this change clear to
me.  Could you give a before-and-after example?  How will this
internal API change make my life easier as a developer?

Hope that helps,
Jonathan